Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(1103)

Unified Diff: packages/usage/tool/drone.sh

Issue 1400473008: Roll Observatory packages and add a roll script (Closed) Base URL: git@github.com:dart-lang/observatory_pub_packages.git@master
Patch Set: Created 5 years, 2 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « packages/usage/test/web_test.dart ('k') | packages/usage/tool/grind.dart » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: packages/usage/tool/drone.sh
diff --git a/packages/usage/tool/drone.sh b/packages/usage/tool/drone.sh
new file mode 100755
index 0000000000000000000000000000000000000000..ff46f4fcc4ecbcb1935e49732b18ec2edb28dda9
--- /dev/null
+++ b/packages/usage/tool/drone.sh
@@ -0,0 +1,27 @@
+#!/bin/bash
+
+# Copyright (c) 2014, the Dart project authors. Please see the AUTHORS file
+# for details. All rights reserved. Use of this source code is governed by a
+# BSD-style license that can be found in the LICENSE file.
+
+# Fast fail the script on failures.
+set -e
+
+# Display installed versions.
+dart --version
+
+# Get our packages.
+pub get
+
+# Verify that the libraries are error free.
+dartanalyzer --fatal-warnings \
+ lib/usage.dart \
+ lib/usage_html.dart \
+ lib/usage_io.dart \
+ test/all.dart
+
+# Run the tests.
+dart test/all.dart
+
+# Measure the size of the compiled JS, for the dart:html version of the library.
+dart tool/grind.dart build
« no previous file with comments | « packages/usage/test/web_test.dart ('k') | packages/usage/tool/grind.dart » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698